Package com.verisign.epp.util

## Class EPPDisabledEntityResolver

- java.lang.Object
- - com.verisign.epp.util.EPPDisabledEntityResolver

- All Implemented Interfaces:
    `org.apache.xerces.xni.parser.XMLEntityResolver`, `org.xml.sax.EntityResolver`

      public class EPPDisabledEntityResolver
      extends java.lang.Object
      implements org.apache.xerces.xni.parser.XMLEntityResolver, org.xml.sax.EntityResolver

  Entity resolver that throws an exception for all methods to ensure that any attempt to resolve an entity fails.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPDisabledEntityResolver()` | Creates a new EPPSchemaParsingEntityResolver object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.xml.sax.InputSource` | `resolveEntity​(java.lang.String aPublicId, java.lang.String aSystemId)` | Resolves the entity passed in when parsing the instance document.
    `org.apache.xerces.xni.parser.XMLInputSource` | `resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier aXMLResourceIdentifier)` | Resolves the entity passed in when parsing the instance document.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDisabledEntityResolver

          public EPPDisabledEntityResolver()

      Creates a new EPPSchemaParsingEntityResolver object.

  - ### Method Detail

    - #### resolveEntity

          public org.apache.xerces.xni.parser.XMLInputSource resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier aXMLResourceIdentifier)
                                                                    throws org.apache.xerces.xni.XNIException,
                                                                           java.io.IOException

      Resolves the entity passed in when parsing the instance document. Will throw an `IOException`.
      Specified by:
        `resolveEntity` in interface `org.apache.xerces.xni.parser.XMLEntityResolver`
      Parameters:
        `aXMLResourceIdentifier` - XML schema to load
      Returns:
        Nothing will be returned, since it will throw an `IOException`.
      Throws:
        `org.apache.xerces.xni.XNIException` - Never thrown
        `java.io.IOException` - Thrown with the message "resolving entity disallowed".

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity​(java.lang.String aPublicId,
                                                       java.lang.String aSystemId)
                                                throws org.xml.sax.SAXException,
                                                       java.io.IOException

      Resolves the entity passed in when parsing the instance document. Will throw an `SAXException`.
      Specified by:
        `resolveEntity` in interface `org.xml.sax.EntityResolver`
      Parameters:
        `aPublicId` - Public identifier of entity
        `aSystemId` - System identifier of entity
      Returns:
        Nothing will be returned, since it will throw an `SAXException`.
      Throws:
        `org.xml.sax.SAXException` - Thrown with the message "resolving entity disallowed".
        `java.io.IOException` - Not thrown
        `org.apache.xerces.xni.XNIException` - Not thrown